@echo off

echo ####### %0 #######

echo disabling windows ink completely ...
reg add "HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\WindowsInkWorkspace" ^
  /v "AllowWindowsInkWorkspace" /t REG_DWORD /d 0 /f

echo remove store icon from taskbar ...
reg add "HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\Explorer" ^
  /v "NoPinningStoreToTaskbar" /t REG_DWORD /d 1 /f

echo remove defender icon from systray ...
reg delete "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Run" ^
  /v "SecurityHealth" /f 1>nul 2>nul
taskkill /f /im SecurityHealthSystray.exe 1>nul 2>nul

echo disabling autotray for the taskbar ...
reg add "HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\Explorer" ^
  /v "EnableAutoTray" /t REG_DWORD /d 0 /f

echo disabling notification center ...
reg add "HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\Explorer" ^
  /v "DisableNotificationCenter" /t REG_DWORD /d 1 /f

echo restarting explorer ...
taskkill /f /im explorer.exe 1>nul 2>nul
start explorer.exe

echo ####### %0 #######

